#!/bin/bash
#
# source: http://feedparser.googlecode.com/files/feedparser-4.1.zip
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------Set Some Variables

soft="feedparser"
softversion="4.1"
arch="i486"
cpu="i686"
packageversion="60.1"

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.zip"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
unzip $srcpkg
rm -f $dest.tgz
rm -rf $dest

#------------------Set correct permissions

chown -R root:root .

python setup.py install --root=$dest --prefix=/usr

( cd $dest
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

#-------------------Prepare the documentation:

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a LICENSE README \
$dest/usr/doc/$soft-$softversion

#-----------------Make the slack-desc files

mkdir -p $dest/install
cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

          |-----handy-ruler--------------------------------------------------|
feedparser: feedparser - is Python feed parser
feedparser:
feedparser: Parses RSS and Atom feeds in Python.
feedparser:
feedparser:
feedparser:
feedparser:
feedparser:
feedparser:
feedparser:
feedparser:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5